#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ReturnBenifitRechargeCFGData
{
	//id
	int mID;
	//需要充值金额
	int mNeedRecharge;
	//奖励数量
	std::vector<int> mItem;
	//奖励数量
	std::vector<int> mItemCount;
};

class M_ReturnBenifitRechargeCFG
{
public:
private:
	static std::auto_ptr<M_ReturnBenifitRechargeCFG> msSingleton;
public:
	int GetCount();
	const M_ReturnBenifitRechargeCFGData* GetData(int ID);
	boost::unordered_map<int, M_ReturnBenifitRechargeCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ReturnBenifitRechargeCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ReturnBenifitRechargeCFGData> mMapData;
};
